Ubuntu

Please install the vlan package by default

Reported by Stephan Adig on 2006-06-20
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
vlan (Ubuntu)
Wishlist
Ubuntu Server Team

Bug Description

Hi,

please seed this package by default for an ubuntu server install.

You are doomed when you need to test vlan trunk configs and vlan tools are not installed by default.

Thx,

\sh

Stephan Adig (sadig) on 2006-06-20
Changed in vlan:
assignee: nobody → ubuntu-server
William Grant (wgrant) wrote :

VLANs aren't critical to the initial operation of servers. It's trivial to install it after installation.

Changed in vlan:
status: Unconfirmed → Rejected
Stephan Adig (sadig) wrote :

Not correct.

Vlans are essential in Datacenter environments.
Ubuntu Server is IMHO coming to a stage were it will replace debian installations in datacenters.

So, vlan configuration and bonding configurations are a very common usecase.

Changed in vlan:
status: Rejected → Needs Info
Bram (bram-digiportmiami) wrote :

I agree with Stephan and second his request for seeded vlan/bridge/bonding support. In my datacenter with over 1500 servers, 40% require some sort of vlan/bridge/bonding support at the server level. This number increases to around 95% of our servers that are doing virtualization. We are rolling our own netboot right now and that takes allot of additional effort. Support from Ubuntu Server Team would be greatly appreciated.

There is nothing to agree or disagree on this bug. Stephan has been instructed to open this bug as reminder by the Ubuntu Server Team.

Fabio

Changed in vlan:
importance: Untriaged → Wishlist
status: Needs Info → Confirmed

This has been fixed in edgy.

Changed in vlan:
status: Confirmed → Fix Released

reopening against dapper-updates since LP doesn't really allow me to add a distrotask.

Fabio

Changed in vlan:
status: Fix Released → Confirmed
Stephan Adig (sadig) wrote :

Thx a lot, Fabio.

Regards,
\sh

Stephan Adig (sadig) wrote :

Fabio,

can I close this bug? It's still in this state since you last wrote your update here.

Regards,

\sh

Mathias Gug (mathiaz) on 2007-06-15
Changed in vlan:
assignee: ubuntu-server → nobody
Martin Pitt (pitti) wrote :

Server team, do you think it would be generally useful to have this installed by default? Unfortunately we do not really have a seed which is installed by default on servers, but we could at least ship it by default.

Changed in vlan:
assignee: nobody → ubuntu-server
status: Confirmed → Incomplete

On Mon, Jul 23, 2007 at 01:27:31PM -0000, Martin Pitt wrote:
> Server team, do you think it would be generally useful to have this
> installed by default? Unfortunately we do not really have a seed which
> is installed by default on servers, but we could at least ship it by
> default.

We already do? Since the dawn of time, it seems:
http://codebrowse.launchpad.net/~ubuntu-core-dev/ubuntu-seeds/ubuntu.gutsy/revision?start_revid=Arch-1%3Aubuntu-devel%40lists.ubuntu.com%25seeds--breezy-server--0--patch-1&file_id=x_Colin_Watson_%3Ccolin.watson%40canonical.com%3E_Mon_Oct_10_22%3A50%3A09_2005_20236.0

--
Soren Hansen
Ubuntu Server Team
http://www.ubuntu.com/

Rick Clark (dendrobates) wrote :

In my opinion 802.1q at the server level is a very rare use case, most modern switches do the tagging and do not need and server level support.

I also believe there are inherent risks in vlan tagging,

I don't see why we would install this by default

Stephan Adig (sadig) wrote :

@Rich:

Modern Switches can do native tagging, but modern datacenters are working with Guest Tagging, means, that your OS is tagging the ip packages. Just for deployment (pxe/dhcp/bootp) or internal use you are using native vlans (aka access ports), and if you have problems with windows, you configure your switches with native vlan tagging.

Trunking is the default usecase nowadays, for this you need the vlan utilities at least installed on the install media cd.

Rick Clark (dendrobates) wrote :

Stephan,
I agree it should be on the media, I was just arguing against installing is by default.

On Mon, Jul 23, 2007 at 02:55:57PM -0000, Stephan Hermann wrote:
> Trunking is the default usecase nowadays, for this you need the vlan
> utilities at least installed on the install media cd.

It's been there since Breezy?

--
Soren Hansen
Ubuntu Server Team
http://www.ubuntu.com/

Stephan Adig (sadig) wrote :

Rich,

no, not installed by default on the production machine. But seeded on the install media :)

Fabio fixed it already for edgy, but somehow this bug never got closed.

\sh

Stephan Adig (sadig) wrote :

@Soren,

it wasn't there in breezy, neither was it there in dapper...I'm installing the server edition for quite some time, and it had to be downloaded from the archives, which is not the cd-archive.

Anyways, if it's now on the cd, you can close this bug now....

Regards,

\sh

Soren Hansen (soren) wrote :

On Tue, Jul 24, 2007 at 06:29:26AM -0000, Stephan Hermann wrote:
> it wasn't there in breezy, neither was it there in dapper...I'm
> installing the server edition for quite some time, and it had to be
> downloaded from the archives, which is not the cd-archive.

I don't know where you got your ISO's, but I've just checked both the
i386 and amd64 version of every ubuntu server release from Breezy to
Gutsy, and it's right there.

> Anyways, if it's now on the cd, you can close this bug now....

Alright.

 status fixreleased

--
Soren Hansen
Ubuntu Server Team
http://www.ubuntu.com/

Changed in vlan:
status: Incomplete → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers